| Home | Libraries | People | FAQ | More

## Struct template is_total<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

boost::icl::is_total<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename DomainT, typename CodomainT, typename Traits,
             ICL_COMPARE Compare, ICL_COMBINE Combine, ICL_SECTION Section,
             ICL_ALLOC Alloc>
    struct is_total<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >> {
      // types
      typedef is_total type;

      // public member functions
       BOOST_STATIC_CONSTANT(int, value = Traits::is_total);
    };

## Description

### `is_total` public member functions

1.      BOOST_STATIC_CONSTANT(int, value = Traits::is_total);